Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class BuildAdapter

    java.lang.Object
      org.gradle.BuildAdapter

All Implemented Interfaces:
  BuildListener

Direct Known Subclasses:
  BuildExceptionReporter

    public class BuildAdapter

extends java.lang.Object
implements BuildListener

An abstract adapter class for receiving build events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Constructor Summary
`BuildAdapter()`

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `buildStarted(Gradle gradle)` Called when the build is started.
`void` | `projectsEvaluated(Gradle gradle)` Called when all projects for the build have been evaluated.
`void` | `projectsLoaded(Gradle gradle)` Called when the projects for the build have been created from the settings.
`void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.
`void` | `taskGraphPopulated(TaskExecutionGraph graph)` Called when the task graph for the build has been populated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildAdapter

    public BuildAdapter()

Method Detail

### buildStarted

    public void buildStarted(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when the build is started.

  Specified by:
    `buildStarted` in interface `BuildListener`
  Parameters:
    `gradle` - The build which is being started. Never null.

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

  Description copied from interface: `BuildListener`

  Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

  Specified by:
    `settingsEvaluated` in interface `BuildListener`
  Parameters:
    `settings` - The settings. Never null.

### projectsLoaded

    public void projectsLoaded(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

  Specified by:
    `projectsLoaded` in interface `BuildListener`
  Parameters:
    `gradle` - The build which has been loaded. Never null.

### projectsEvaluated

    public void projectsEvaluated(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

  Specified by:
    `projectsEvaluated` in interface `BuildListener`
  Parameters:
    `gradle` - The build which has been evaluated. Never null.

### taskGraphPopulated

    public void taskGraphPopulated(TaskExecutionGraph graph)

  Description copied from interface: `BuildListener`

  Called when the task graph for the build has been populated. The task graph is fully configured and is ready to use to execute the tasks which make up the build.

  Specified by:
    `taskGraphPopulated` in interface `BuildListener`
  Parameters:
    `graph` - The task graph. Never null.

### buildFinished

    public void buildFinished(BuildResult result)

  Description copied from interface: `BuildListener`

  Called when the build is completed. All selected tasks have been executed.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Parameters:
    `result` - The result of the build. Never null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD